/**************************************************************
 *                                                            *
 *   Fichier : elf32.c                                        *
 *   Fonction pour calculer le ELF32                          *
 *                                                            *
 **************************************************************/

#ifndef CONST32
#define CONST32(n) (n)
#endif

unsigned long Update_ELF32(unsigned long hash, unsigned char *buf, int len)
{
  unsigned int i;
  for(i = 0; i < len; i++) {
    hash = (hash << 4) + buf[i];
    unsigned int x = hash & CONST32(0xF0000000);
    if(x != 0) hash ^= x >> 24;
    hash &= ~x;
  }
  return hash;
}
