/**************************************************************
 *                                                            *
 *   Fichier : crc64.h                                        *
 *   Header de crc64.c                                        *
 *                                                            *
 **************************************************************/

#ifndef _CRC64_H_
#define _CRC64_H_


// Mthode de calcul de ReHash
// #define ___ReHash_Code___


#ifndef ___ReHash_Code___

  #define OLDCRC64
  #ifdef OLDCRC64
    #define POLY64REV	0xD800000000000000ULL
    #define INITIALCRC64 0x0000000000000000ULL
  #else
    #define POLY64REV 0x95AC9329AC4BC9B5ULL
    #define INITIALCRC64 0xFFFFFFFFFFFFFFFFULL
  #endif

#else /* ___ReHash_Code___ */

  #define INITIALCRC64 0xFFFFFFFFFFFFFFFFULL

#endif /* ___ReHash_Code___ */


unsigned long long Update_CRC64(unsigned long long crc, unsigned char *buf, unsigned long len);
void Hash64_End(unsigned long long hash, unsigned char *res);


#endif /* _CRC64_H_ */
